summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2012-01-14 14:41:10 +0000
committerMichał Górny <mgorny@gentoo.org>2012-01-14 14:41:10 +0000
commite12ad6a1b09e00e2d15ba137a06473f9ff2eb90e (patch)
tree616699877a365977ec5e2df5a389eaf2c2619d27
parentVersion bump (diff)
downloadgentoo-2-e12ad6a1b09e00e2d15ba137a06473f9ff2eb90e.tar.gz
gentoo-2-e12ad6a1b09e00e2d15ba137a06473f9ff2eb90e.tar.bz2
gentoo-2-e12ad6a1b09e00e2d15ba137a06473f9ff2eb90e.zip
Support installing default docs, similarly to EAPI4; wrt bug #397659.
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/autotools-utils.eclass11
2 files changed, 14 insertions, 2 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index d80c15743ebb..bc51d8f820af 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.78 2012/01/13 23:25:40 mabi Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.79 2012/01/14 14:41:10 mgorny Exp $
+
+ 14 Jan 2012; Michał Górny <mgorny@gentoo.org> autotools-utils.eclass:
+ Support installing default docs, similarly to EAPI4; wrt bug #397659.
13 Jan 2012; Matti Bickel <mabi@gentoo.org> php-ext-source-r2.eclass:
Uncomment DEPEND for php-ext-source-r2.eclass, but w/o the SELFDEPEND that
diff --git a/eclass/autotools-utils.eclass b/eclass/autotools-utils.eclass
index bf009a3c4635..9611e54573ce 100644
--- a/eclass/autotools-utils.eclass
+++ b/eclass/autotools-utils.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.33 2012/01/09 10:16:25 jlec Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/autotools-utils.eclass,v 1.34 2012/01/14 14:41:10 mgorny Exp $
# @ECLASS: autotools-utils.eclass
# @MAINTAINER:
@@ -428,6 +428,15 @@ autotools-utils_src_install() {
# XXX: support installing them from builddir as well?
if [[ ${DOCS} ]]; then
dodoc "${DOCS[@]}" || die "dodoc failed"
+ else
+ local f
+ # same list as in PMS
+ for f in README* ChangeLog AUTHORS NEWS TODO CHANGES \
+ THANKS BUGS FAQ CREDITS CHANGELOG; do
+ if [[ -s ${f} ]]; then
+ dodoc "${f}" || die "(default) dodoc ${f} failed"
+ fi
+ done
fi
if [[ ${HTML_DOCS} ]]; then
dohtml -r "${HTML_DOCS[@]}" || die "dohtml failed"